FREE(1)

NOM
free - Afficher la quantité de mémoire libre et utilisée du système

SYNOPSIS
free [options]

DESCRIPTION
free affiche la quantité totale de mémoire physique et d'espace d'échange libre et utilisée par le système, ainsi que les tampons utilisés par le noyau. La colonne de mémoire partagée représente soit la valeur MemShared (noyaux de la série 2.4), soit la valeur Shmem (noyaux à partir de la série 2.6), prise dans le fichier /proc/meminfo. La valeur est nulle si aucune des entrées n’est exportée par le noyau.

OPTIONS

-b, --bytes
    Afficher la quantité de mémoire en octet.

-k, --kilo
    Afficher la quantité de mémoire en kilooctet. Il s'agit du comportement par défaut.

-m, --mega
    Afficher la quantité de mémoire en mégaoctet.

-g, --giga
    Afficher la quantité de mémoire en gigaoctet.

--tera
    Afficher la quantité de mémoire en téraoctet.

-h, --human
    Montrer tous les champs automatiquement à l'échelle la plus appropriée : le plus petit nombre à trois chiffres affiché avec l'unité. Les unités suivantes sont utilisées.

      B = octet
      K = kilooctet
      M = mégaoctet
      G = gigaoctet
      T = téraoctet

    En l'absence d'unité, pour des quantités de l'ordre du pétaoctet de RAM ou d'espace d'échange, le nombre est en téraoctet et les colonnes risquent de ne pas être alignées avec l'en-tête.

-c, --count compte
    Afficher le résultat compte fois. Nécessite l'option -s.

-l, --lohi
    Afficher les statistiques détaillées pour la mémoire basse et la mémoire haute.

-o, --old
    Afficher la sortie dans l'ancien format, la seule différence étant que cette option désactivera l'affichage de la ligne des « tampons équilibrés ».

-s, --seconds délai
    Afficher le résultat en continu toutes les délai secondes. Vous pouvez indiquer une valeur décimale pour délai, puisque usleep(3) est utilisé pour obtenir un délai avec une résolution en microseconde.

--si
    Utiliser des puissances de 1000 et non de 1024.

-t, --total
    Afficher une ligne contenant les quantités totales des colonnes.

--help
    Afficher l'aide.

-V, --version
    Afficher les informations de version.

FICHIERS

/proc/meminfo
    Renseignements sur la mémoire

VOIR AUSSI
ps(1), slabtop(1), top(1), vmstat(8)

AUTEURS
Écrit par Brian Edmonds.

BOGUES
Signalez les bogues à <procps@freelists.org>

TRADUCTION
Cette page de manuel a été traduite par Christophe Blaess en 1997. Elle est maintenue par Florentin Duneau <fduneau AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.